
@font-face {
    font-family: ibm-font;
    src: url("/Fonts/ibm-font.woff") format('woff');
}
html, body {
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 100vh;
    height: 100svh;
    /* overflow: hidden; */
    position: relative;
    padding-top: env(safe-area-inset-top);
    padding-bottom: env(safe-area-inset-bottom);
    background-color: #0A4A7F;
    font-family: ibm-font;

}

p{
    margin: 0;
    padding: 0;
}

.consoleHeader {
    display: flex;
    justify-content: space-between;
    border: 2px solid #868686;
    background-color: white;
    position: relative;
    z-index: 1;
}

.titleContiner{
    display: flex;
    align-items: center;
    font-size: 2vh;
}
.dash{
    padding-left: 1vw;
}
.line{
    width: 2px;
    height: 100%;
    background-color: #868686;
    margin-left: 2vw;
}
.title {
    padding-left: 2vw;
}

#time {
    padding: 0.4vh;
    font-size: 2vh;
    border-left: 2px solid #868686;
}

.mainContainer {
    display: flex;
    align-items: start;
    height: calc(100vh - 30px);
    padding-left: 5vw;
    padding-top: 5vw;
}


.consoleText {
    color: white;
    font-size: 4vw;
    overflow-y: auto;
}

.inputMessage{
    position: fixed;
    bottom: 5%;
    color: white;
    font-size: 4vw;
    text-align: center;
    left: 50%;
    width: 100%;
    transform: translateX(-50%);
}


#pValue {
    background-color: #0A4A7F;
    border: 0;
    outline: 0;
    color: white;
    caret-color: transparent;
    white-space: nowrap;
    line-height: 1.5em;
    height: 1.5em;
    overflow: hidden;
    position: relative;
    z-index: 0;
    font-size: 4vw;
}

#pValue:empty::before {
    content: "\200b"; /* Zero-width space ensures the div maintains height */
}

#pValue::after {
    content: "";
    position: absolute;
    background: #64d675;
    width: 8px;
    height: 1.2em;
    animation: blink 1s infinite steps(2, start);
}

#nedryContainer{
    position:fixed;
    top:100vh;
    left: 15vw;
    width: 45vw;
    border: 2px solid black;
    visibility: hidden;
}

#nedryImg, #symbolImg{
    width: 100%;
    height: auto;
    border: 4px solid #868686;
    padding: 5%;
    background-color: white;
}



.popupHeader{
    display: flex;
    justify-content: space-between;
    border: 2px solid #868686;
    background-color: white;
    position: relative;
    z-index: 1;
    padding-left: 2%;
    font-size: 3vw;
    padding-top: 2%;
}

#symbolContainer{
    position: fixed;
    top: 100vh;
    width: 25vw;
    left: 47vw;
}



@keyframes blink {
    to {
        visibility: hidden;
    }
}


.nedryAnimation{
        animation:  moveNedry 1s forwards;
    }
    .symbolAnimation{
    animation: moveSymbol 1s forwards;
    }


   @keyframes moveSymbol{
        to {
            top: 50%;
        }
        from {
            top: 100%;
        }
    }

    @keyframes moveNedry{
        to {
            top: 30%;
            visibility: visible;
        }
        from {
            top: 100%;
            visibility: hidden;
        }
    }


@media screen and (min-width: 768px) {

    html, body{
        width: 100%;
        height: auto;
    }

    .inputMessage{
        font-size: 25px;
        text-align: left;
        padding-left: 3%;
    }

    .nedryAnimation{
        animation:  moveNedryTablet 1s forwards;
    }
    .symbolAnimation{
    animation: moveSymbolTablet 1s forwards;
    }


   @keyframes moveSymbolTablet{
        to {
            top: 60vh;
        }
        from {
            top: 100vh;
        }
    }

    @keyframes moveNedryTablet{
        to {
            top: 30vh;
            visibility: visible;
        }
        from {
            top: 100vh;
            visibility: hidden;
        }
    }
}

@media screen and (min-width: 768px){
    .consoleText {
        font-size: 25px;
    }

    #pValue{
        font-size: 25px;
    }

    #nedryContainer{
        width: 300px;
    }

    .popupHeader p{
        font-size: 25px;
    }

    #symbolContainer{
        width: 150px;
        left: 28vw;
    }
    .mainContainer{
        padding-left: 3%;
        padding-top: 3%;
    }
}
